Bug 220717 - fixfiles -f causes /tmp to be cleared, which is not what the manpage says it does
fixfiles -f causes /tmp to be cleared, which is not what the manpage says it ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-24 06:32 EST by Joe Bayes
Modified: 2008-01-23 15:54 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 15:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2006-12-24 06:32:34 EST
Description of problem:

The fixfiles manpage says that the -f option is to "Don't prompt for removal of
/tmp directory." To my mind, this implies that "fixfiles -f" will skip the
entire step of both prompting for and clearing /tmp, and will instead proceed
directly to the step where it changes the SELinux file permissions. 

Instead, it goes ahead and clears /tmp without asking. 

The manpage should be changed to reflect this behavior. I suggest that it should
say, "Clear /tmp directory without asking" or something like that. The current
wording is misleading. 

Version-Release number of selected component (if applicable):

policycoreutils-1.33.6-3.fc6

How reproducible:
always

Steps to Reproduce:
1. fixfiles -f
  
Actual results:
/tmp is cleared, and fixfiles does not prompt the user

Expected results:
/tmp is not cleared, and fixfiles does not prompt the user

Additional info:
Comment 1 Daniel Walsh 2007-02-14 17:24:18 EST
Fixed in  policycoreutils-2.0.1-2 in Rawhide

Next policycoreutils update for FC6 will have this fix.
Comment 2 Joe Bayes 2008-01-23 02:12:55 EST
I noticed this just got closed. But it's not actually fixed, as of
policycoreutils-2.0.33-3.fc8.x86_64 . 

spoo:~$ man fixfiles
  [...]
  -f     Don't prompt for removal of /tmp directory.
  [...]

It's not a critical issue...
Comment 3 Daniel Walsh 2008-01-23 15:54:11 EST
Fixed in policycoreutils-2.0.36-2.fc9

Note You need to log in before you can comment on or make changes to this bug.